/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<spacechildrenmodel.h>)
#  include <spacechildrenmodel.h>
#endif
#if __has_include(<spacechildsortfiltermodel.h>)
#  include <spacechildsortfiltermodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat_spaces()
{
    qmlRegisterModule("org.kde.neochat.spaces", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<SpaceChildSortFilterModel>("org.kde.neochat.spaces", 254);
    qmlRegisterTypesAndRevisions<SpaceChildrenModel>("org.kde.neochat.spaces", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat.spaces", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochatspacesRegistration("org.kde.neochat.spaces", qml_register_types_org_kde_neochat_spaces);
